[Geany-devel] [PATCH] : Add check for pkg-config to autogen.sh

Erik de Castro Lopo mle+tools at xxxxx
Tue Aug 3 00:38:02 UTC 2010


Hi all,

Patch below.

CHeers,
Erik

-----------8<-----------8<-----------8<-----------8<-----------8<-----------
Index: autogen.sh
===================================================================
--- autogen.sh  (revision 5115)
+++ autogen.sh  (working copy)
@@ -44,6 +44,14 @@
      }
 }
 
+(pkg-config --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have pkg-config installed to compile $package."
+        echo "Download the appropriate package for your distribution."
+               result="no"
+        DIE=1
+}
+
 (automake --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "**Error**: You must have \`automake' (1.7 or later) installed."
-----------8<-----------8<-----------8<-----------8<-----------8<-----------


-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/



More information about the Devel mailing list